package com.yd.rmi.n22.salary.pojo.searchstaffsalarydetails;

import com.fasterxml.jackson.annotation.JsonProperty;

public class RenewalYearPerformanceCommission {
    private String SaleSystem;
    private String FYC_RYC;
    private String Rate;
    private String Commission;
    private String Comments;
    private String calculationFormula;//佣金计算公式
    private String Customer;//保险公司
    private String EffectiveDate;//生效时间
    private String Insurance_Cust;//投保人
    private String Policyno;//保单号
    private int YearPREMIUM;//保费
    private String Salestaff;//经纪人
    /**
     *薪资类型code
     */
    private String salaryCode;
    public RenewalYearPerformanceCommission() {
    }

    public String getSaleSystem() {
        return SaleSystem;
    }
    @JsonProperty("SaleSystem")
    public void setSaleSystem(String saleSystem) {
        SaleSystem = saleSystem;
    }

    public String getFYC_RYC() {
        return FYC_RYC;
    }

    @JsonProperty("FYC/RYC")
    public void setFYC_RYC(String FYC_RYC) {
        this.FYC_RYC = FYC_RYC;
    }

    public String getRate() {
        return Rate;
    }
    @JsonProperty("Rate")
    public void setRate(String rate) {
        Rate = rate;
    }

    public String getCommission() {
        return Commission;
    }
    @JsonProperty("Commission")
    public void setCommission(String commission) {
        Commission = commission;
    }

    public String getComments() {
        return Comments;
    }
    @JsonProperty("Comments")
    public void setComments(String comments) {
        Comments = comments;
    }

    public String getCalculationFormula() {
        return calculationFormula;
    }

    public void setCalculationFormula(String calculationFormula) {
        this.calculationFormula = calculationFormula;
    }

    public String getSalaryCode() {
        return salaryCode;
    }


    public void setSalaryCode(String salaryCode) {
        this.salaryCode = salaryCode;
    }

    public String getCustomer() {
        return Customer;
    }

    @JsonProperty("Customer")
    public void setCustomer(String customer) {
        Customer = customer;
    }

    public String getEffectiveDate() {
        return EffectiveDate;
    }

    @JsonProperty("EffectiveDate")
    public void setEffectiveDate(String effectiveDate) {
        EffectiveDate = effectiveDate;
    }

    public String getInsurance_Cust() {
        return Insurance_Cust;
    }

    @JsonProperty("Insurance_Cust")
    public void setInsurance_Cust(String insurance_Cust) {
        Insurance_Cust = insurance_Cust;
    }

    public String getPolicyno() {
        return Policyno;
    }

    @JsonProperty("Policyno")
    public void setPolicyno(String policyno) {
        Policyno = policyno;
    }

    public int getYearPREMIUM() {
        return YearPREMIUM;
    }

    @JsonProperty("YearPREMIUM")
    public void setYearPREMIUM(int yearPREMIUM) {
        YearPREMIUM = yearPREMIUM;
    }

    public String getSalestaff() {
        return Salestaff;
    }

    @JsonProperty("Salestaff")
    public void setSalestaff(String salestaff) {
        Salestaff = salestaff;
    }
}
